# frozen_string_literal: true
module Hermes
  module Api
    module Dmo
      class DocumentationController <  ActionController::Base
        # This action uses query string parameters because it gets run
        # by an HTTP GET request, but this does not make any difference
        # to the way in which the parameters are accessed. The URL for
        # this action would look like this in order to list activated
        # clients: /clients?status=activated
        def show_doc
          @md_doc = File.read(File.join(Rails.root,"packages","hermes", "Doc.md"))
          render template: "show_doc"
        end
        def show_changelog
          @md_changelog = File.read(File.join(Rails.root,"packages","hermes", "Changelog.md"))
          render template: "show_changelog"
        end
      end
    end
  end
end
